// - - - - - - - - - - - - - - - - - - - - - - - - - 
// CONSTANTS
// - - - - - - - - - - - - - - - - - - - - - - - - - 

#define MAXPLAYERS 				64

// Maximum health
#define MAXIMUM_HEALTH			100

// What is this???
#define XHAIR_COUNT				6

// How much base damage should a headshot do?
#define HEADSHOT_DAMAGE			50

// Players receive a TID based on this
#define BASE_PLAYER_TID			1000

// Maximum number of different ammo types that a weapon can have
// Keep it somewhat reasonable
#define AMMOTYPE_COUNT			6

// Spread dampeners based on certain things
#define SPREAD_CROUCH			0.80
#define SPREAD_ADS				0.80
#define SPREAD_SEMI				0.80

#define MAX_UPGRADES 			8

#define PERKBONUS_MAX			8

#define MAX_WEPS 				120

// Used for resetting our last weapon
#define JUNK_WEAPON				"JUNKY"

// Size of the zombie list table
#define ZLIST_SIZE				128

// STARTING IDENTIFIER FOR ZOMBIE LIST ITEM
// (This is subtracted from our actual item amount)
#define ZLIST_BASE				500

// Maximum number of spawners we can have on the map
#define MAXSPAWNERS 			64

// Maximum radius for spawners to be functional
// This might need to be changed, test this to be sure!
#define SPAWNER_RADIUS			512

// Maximum builds a spawner can have
#define SPAWNER_MAXBUILDS 		5

// Base TID to use for spawners
#define SPAWNER_BASETID			3000

// Duration in seconds for a spawner to stay
// "alive" after receiving a pulse from a nearby player
#define SPAWNER_ALIVETIME		2

// Seconds before a wave starts
#define COUNTDOWN_TIME			10

// Base zombie pool amount
#define ZOMBIEPOOL_BASE			10

// How often (in seconds) to cleanup lost zombies
#define SPAWNER_CHECKTIME		5

// Minimum and maximum time between spawning zombies
#define SPAWNER_TIMEMIN			2.0
#define SPAWNER_TIMEMAX			3.0

// Default trader time value (in seconds)
#define TRADER_DEFAULTTIME		15

// Maximum number of possible traders in array
#define MAXIMUM_TRADERS			10

// TID for the trader door
#define TID_TRADERDOOR			100

// Base TID for trader teleports
#define TID_TRADERTELE			300

// Default TID for zombies
#define TID_ZOMBIE				777

// Script numbers
#define SCRIPT_ENTERTRADER		20

// Crosshairs
enum XHair {
	XH_SHOTGUN = 13,
	XH_SNIPER = 14,
	XH_CIRCLESMALL = 15,
	XH_BLUR = 16,
	XH_QUADBIG = 17,
	XH_QUADSMALL = 18,
	XH_LMG = 19,
	XH_LMGSMALL = 21,
	XH_NOTHING = 20,
};

// Various fire modes
str FireModeNames[99] = {
	"Semi-Automatic",
	"Fully-Automatic",
	"",
	"Blunt Melee",
	"Grenade",
	"Semi-Automatic",
	"Fully-Automatic",
	"",
	"",
	"Burst Fire",
};

enum FireModeType {
	FM_SINGLE,
	FM_AUTO,
	FM_SINGLEAUTO,
	FM_MELEE,
	FM_GRENADE,
	FM_SHOTSINGLE,
	FM_SHOTAUTO,
	FM_SHOTSINGLEAUTO,
	FM_SINGLEBURST,
	FM_BURST,
};

// Bounties
#define BOUNTY_TYPES			4
enum BountyType
{
	BOUNTY_MAIN,					// 0
	BOUNTY_HEADSHOT,				// 1
	BOUNTY_GIB,						// 2
	BOUNTY_CRIPPLE,					// 3
	BOUNTY_BURNED,					// 4
};